Package xg.protocol.messages

# Interface ProtocolPrivMessages.protocolPrivMessageOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ProtocolPrivMessages.protocolPrivMessage`, `ProtocolPrivMessages.protocolPrivMessage.Builder`

Enclosing class:
  ProtocolPrivMessages

public static interface ProtocolPrivMessages.protocolPrivMessageOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ProtocolPrivMessages.protocolPrivAck`
`getAck()`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`ProtocolPrivMessages.protocolPrivAckOrBuilder`
`getAckOrBuilder()`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`ProtocolPrivMessages.protocolPrivDisableProtocol`
`getDisableProtocol()`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`ProtocolPrivMessages.protocolPrivDisableProtocolOrBuilder`
`getDisableProtocolOrBuilder()`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`ProtocolPrivMessages.protocolPrivEnableProtocol`
`getEnableProtocol()`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`ProtocolPrivMessages.protocolPrivEnableProtocolOrBuilder`
`getEnableProtocolOrBuilder()`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`ProtocolPrivMessages.protocolPrivNotifyIdentity`
`getNotifyIdentity()`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`
`ProtocolPrivMessages.protocolPrivNotifyIdentityOrBuilder`
`getNotifyIdentityOrBuilder()`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`
`ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase`
`getPrivMessageCase()`
`boolean`
`hasAck()`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`boolean`
`hasDisableProtocol()`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`boolean`
`hasEnableProtocol()`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`boolean`
`hasNotifyIdentity()`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasNotifyIdentity

boolean hasNotifyIdentity()
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

Returns:
  Whether the notifyIdentity field is set.

### getNotifyIdentity

ProtocolPrivMessages.protocolPrivNotifyIdentity getNotifyIdentity()
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

Returns:
  The notifyIdentity.

### getNotifyIdentityOrBuilder

ProtocolPrivMessages.protocolPrivNotifyIdentityOrBuilder getNotifyIdentityOrBuilder()
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

### hasEnableProtocol

boolean hasEnableProtocol()
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

Returns:
  Whether the enableProtocol field is set.

### getEnableProtocol

ProtocolPrivMessages.protocolPrivEnableProtocol getEnableProtocol()
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

Returns:
  The enableProtocol.

### getEnableProtocolOrBuilder

ProtocolPrivMessages.protocolPrivEnableProtocolOrBuilder getEnableProtocolOrBuilder()
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

### hasDisableProtocol

boolean hasDisableProtocol()
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

Returns:
  Whether the disableProtocol field is set.

### getDisableProtocol

ProtocolPrivMessages.protocolPrivDisableProtocol getDisableProtocol()
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

Returns:
  The disableProtocol.

### getDisableProtocolOrBuilder

ProtocolPrivMessages.protocolPrivDisableProtocolOrBuilder getDisableProtocolOrBuilder()
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

### hasAck

boolean hasAck()
`.xg.protocol.messages.protocolPrivAck ack = 255;`

Returns:
  Whether the ack field is set.

### getAck

ProtocolPrivMessages.protocolPrivAck getAck()
`.xg.protocol.messages.protocolPrivAck ack = 255;`

Returns:
  The ack.

### getAckOrBuilder

ProtocolPrivMessages.protocolPrivAckOrBuilder getAckOrBuilder()
`.xg.protocol.messages.protocolPrivAck ack = 255;`

### getPrivMessageCase

ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase getPrivMessageCase()